﻿body.leavemessage-overlay-content-activated {
    overflow: hidden;
}
#ContactUs .InnerContent {
    max-width: 120em;
    margin: 0 auto;
    padding: 2em;
    box-sizing: border-box;
}

    #ContactUs .InnerContent #ContactUsContent {
        display: grid;
        grid-template-columns: clamp(32em, 41%, 32em) 1fr;
        align-items: start;
        gap: 5em;
        padding-inline: 2em;
    }

#ContactUs #InformationSection {
    display: flex;
    flex-direction: column;
    gap: 2em;
    position: sticky;
    top: calc(var(--header-height) + 2em);
    justify-content: center;
    height: 80%;
}

    #ContactUs #InformationSection #Introduction {
        display: flex;
        flex-direction: column;
        gap: 1em;
    }

        #ContactUs #InformationSection #Introduction h1 {
            text-transform: uppercase;
            font-weight: 700;
            font-size: 2.5em;
            line-height: 1.2;
        }

        #ContactUs #InformationSection #Introduction p {
            margin: 0;
            font-weight: 500;
            opacity: .9;
        }

        #ContactUs #InformationSection #Introduction #ContactUsLiveChatSection {
            display: flex;
            gap: 1em;
            display: none;
        }

            #ContactUs #InformationSection #Introduction #ContactUsLiveChatSection button {
                display: flex;
                width: fit-content;
                justify-content: center;
                align-items: center;
                gap: 1em;
                line-height: 2em;
                padding-block: .5em;
                padding-inline: 1em;
                overflow: hidden;
                white-space: nowrap;
                border-radius: .5em;
                font-weight: 800;
            }

                #ContactUs #InformationSection #Introduction #ContactUsLiveChatSection button#LeaveUsMesssageBtn {
                    color: #fff;
                    background-color: var(--theme-color);
                }

    #ContactUs #InformationSection #ContactMethod {
        display: flex;
        flex-direction: column;
        gap: 1em;
    }

        #ContactUs #InformationSection #ContactMethod .ItemTitleSection {
            background-color: #fff;
            padding: 1em;
            border-radius: .8em;
            border: 2px solid #e8ecf4;
        }

        #ContactUs #InformationSection #ContactMethod .ItemTitleSection,
        #ContactUs #InformationSection #ContactFollowSocialMedia .T {
            display: grid;
            grid-template-columns: auto 1fr;
            grid-template-areas: "MethodIcon MethodTitle" "MethodIcon MethodInfo";
            gap: 0 1em;
            align-items: center;
        }

            #ContactUs #InformationSection #ContactMethod .ItemTitleSection::before {
                grid-area: MethodIcon;
                display: flex;
                justify-content: center;
                align-items: center;
                font-family: "Font Awesome 6 Free";
                font-size: 1.1em;
                font-weight: 800;
                background-color: rgba(0 0 0 / 7%);
                box-shadow: rgba(0 0 0 / 7%) 0 0 0 1px, rgba(0 0 0 / 7%) 0 0 1px;
                width: 2.5em;
                aspect-ratio: 1 / 1;
                border-radius: .6em;
            }

            #ContactUs #InformationSection #ContactMethod .ItemTitleSection[contact-method-icon="Telephone"]::before {
                content: "\f095";
            }

            #ContactUs #InformationSection #ContactMethod .ItemTitleSection[contact-method-icon="EmailAddress"]::before {
                content: "\f0e0";
            }

            #ContactUs #InformationSection #ContactMethod .ItemTitleSection[contact-method-icon="Building"]::before {
                content: "\f1ad";
            }

            #ContactUs #InformationSection #ContactMethod .ItemTitleSection .MethodTitle {
                grid-area: MethodTitle;
                text-transform: capitalize;
                line-height: 2;
                opacity: .7;
            }

            #ContactUs #InformationSection #ContactMethod .ItemTitleSection .MethodInfo {
                grid-area: MethodInfo;
                font-weight: 600;
                font-size: 1em;
            }

    #ContactUs #InformationSection #ContactFollowSocialMedia {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        gap: .5em;
    }

        #ContactUs #InformationSection #ContactFollowSocialMedia .C {
            display: flex;
            flex-wrap: wrap;
            align-items: center;
            gap: .5em;
        }

            #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a,
            #ContactUs #ContactFormSection .Action #SubmitContactFormBtn {
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 1em;
                line-height: 2;
                padding-block: .5em;
                padding-inline: 1.5em;
                border-radius: .5em;
                overflow: hidden;
                white-space: nowrap;
                background-color: rgb(0, 0, 0);
                color: #fff;
            }

                #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a[social-brand="facebook"] {
                    background-color: rgb(8, 102, 255) !important;
                }

                #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a[social-brand="youtube"] {
                    background-color: rgb(230, 33, 23) !important;
                }

                #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a[social-brand="lemon8"] {
                    background-color: rgb(255, 247, 0) !important;
                    color: rgb(0, 0, 0) !important;
                }

                #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a span {
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    gap: .7em;
                    overflow: hidden;
                    white-space: nowrap;
                }

                    #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a span:before {
                        font-family: "Font Awesome 6 Brands";
                        font-style: normal;
                        font-variant: normal;
                        line-height: 1;
                        text-rendering: auto;
                        font-size: 1em;
                    }

                #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a[social-brand="facebook"] span:before {
                    content: "\f39e";
                }

                #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a[social-brand="instagram"] span:before {
                    content: "\f16d";
                }

                #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a[social-brand="tiktok"] span:before {
                    content: "\e07b";
                }

                #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a[social-brand="lemon8"] span:before {
                    font-family: "Font Awesome 6 Free";
                    font-weight: 400;
                    content: "\f094";
                }

                #ContactUs #InformationSection #ContactFollowSocialMedia .C .ContactSocialMediaItem a[social-brand="youtube"] span:before {
                    content: "\f167";
                }

#ContactUs #ContactFormSection {
    display: flex;
    justify-content: center;
    align-items: start;
    min-height: 100vh !important;
}

    #ContactUs #ContactFormSection #ContactFormContent {
        display: flex;
        flex-direction: column;
        padding: 2.5em;
        background: #fff;
        border-radius: 1.5em;
        max-width: 55em;
        width: 100%;
        gap: 3em;
    }

        #ContactUs #ContactFormSection #ContactFormContent .T h2 {
            font-weight: 700;
            font-size: 1.8em;
            text-transform: uppercase;
        }

    #ContactUs #ContactFormSection #FormContentContainer {
        display: grid;
        gap: 2.5em;
    }

    #ContactUs #ContactFormSection #ContactFormContent #FormContentContainer .C ul {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 1.5em;
        margin-bottom: 0;
    }

        #ContactUs #ContactFormSection #ContactFormContent #FormContentContainer .C ul li:not(:nth-of-type(2)):not(:nth-of-type(3)) {
            grid-column: span 2;
        }

    #ContactUs #ContactFormSection .Action #SubmitContactFormBtn {
        width: fit-content;
        background-color: var(--theme-color);
        gap: .7em;
        height: 2.8em;
        width: 9em;
    }

@media only screen and (max-width: 1000px) {

    #ContactUs #InformationSection {
        gap: 1.5em;
        justify-content: unset;
        height: unset;
    }

    #ContactUs .InnerContent #ContactUsContent {
        grid-template-columns: clamp(20em, 35%, 23em) 1fr;
        gap: 3em;
    }

    #ContactUs #InformationSection #Introduction h1 {
        font-size: 2em;
    }

    #ContactUs .InnerContent #ContactUsContent {
        padding-inline: 0;
    }

    #ContactUs #ContactFormSection #ContactFormContent {
        padding: 2em;
    }
}

@media only screen and (max-width: 850px) {

    #ContactUs #ContactFormSection #ContactFormContent {
        padding: 1.5em;
        gap: 2em;
    }
}

@media only screen and (max-width: 770px) {

    #ContactUs .InnerContent #ContactUsContent {
        grid-template-columns: 1fr;
    }

    #ContactUs #InformationSection {
        position: unset;
        max-width: 45em;
        margin-inline: auto;
        gap: 3em;
    }

        #ContactUs #InformationSection #Introduction {
            text-align: center;
        }

            #ContactUs #InformationSection #Introduction #ContactUsLiveChatSection {
                display: flex;
                justify-content: center;
                align-items: center;
            }

        #ContactUs #InformationSection #ContactFollowSocialMedia {
            justify-content: center;
        }

        #ContactUs #InformationSection #ContactFollowSocialMedia {
            flex-direction: column;
            gap: .8em;
        }

    #ContactUs #ContactFormSection {
        position: fixed;
        inset: 0;
        z-index: 2000000100;
        background: rgb(0 0 0 / .53);
        backdrop-filter: blur(.5em);
        -webkit-backdrop-filter: blur(.5em);
        visibility: hidden;
        opacity: 0;
        display: flex;
        align-items: end;
    }

        #ContactUs #ContactFormSection[data-display="show" i] {
            visibility: visible;
            opacity: 1;
        }

            #ContactUs #ContactFormSection[data-display="show" i] .exit-overlay {
                position: absolute;
                inset: 0;
                z-index: -1;
            }

            #ContactUs #ContactFormSection[data-display="show" i] #ContactFormContent {
                width: 100%;
                max-width: 40em;
                max-height: calc(100vh - var(--header-height));
                margin: 0 auto;
                border-radius: 1.6em 1.6em 0 0;
                display: flex;
                flex-direction: column;
                overflow: hidden;
                animation: slideUp 0.5s ease-out forwards;
                padding: 0;
                gap: 0;
                background-color: rgba(247, 247, 247, 1);
            }

                #ContactUs #ContactFormSection[data-display="show" i] #ContactFormContent .T {
                    padding: 1.5em;
                }

                    #ContactUs #ContactFormSection[data-display="show" i] #ContactFormContent .T h2 {
                        font-size: 1.1em;
                        font-weight: 600;
                        text-transform: capitalize;
                    }

                #ContactUs #ContactFormSection[data-display="show" i] #ContactFormContent #FormContentContainer {
                    flex: auto;
                    overflow: hidden;
                    overflow-y: auto;
                    padding: 1.5em;
                    background: rgba(0 0 0 / 5%);
                    border-radius: 2em 2em 0 0;
                    scrollbar-width: none;
                    -ms-overflow-style: none;
                    grid-auto-rows: min-content;
                    gap: 2em;
                    padding-bottom: 2.5em
                }
}

@media only screen and (max-width: 480px) {
    #ContactUs #ContactFormSection[data-display="show" i] #ContactFormContent #FormContentContainer .C ul {
        grid-template-columns: 1fr;
    }

        #ContactUs #ContactFormSection[data-display="show" i] #ContactFormContent #FormContentContainer .C ul li:not(:nth-of-type(2)):not(:nth-of-type(3)) {
            grid-column: unset;
        }

    #ContactUs .InnerContent {
        padding-inline: 1.5em;
    }

    #ContactUs #InformationSection #Introduction {
        align-items: start;
        text-align: left;
    }

    #ContactUs #InformationSection {
        gap: 2em;
    }

    #ContactUs #InformationSection #ContactFollowSocialMedia {
        align-items: start;
    }
}




.CustomInput {
    border-radius: .9em;
}

    .CustomInput:not(:has(textarea)),
    .CustomInput textarea {
        display: flex;
        align-items: center;
        gap: 1.5em;
        padding-inline: 1.5em;
        border-radius: .6em;
        background-color: rgba(0 0 0 / 5%);
        box-sizing: border-box;
    }

    .CustomInput:has(input) {
        height: 3.5em;
    }

    .CustomInput input {
        all: unset;
        flex: auto;
        height: 3em;
        width: 100%;
        color: currentColor;
        border: 0;
        appearance: textfield;
        -webkit-appearance: none;
        -moz-appearance: textfield;
        font-weight: 600;
    }

        .CustomInput input::-webkit-outer-spin-button,
        .CustomInput input::-webkit-inner-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

    .CustomInput:has(> input:focus),
    .CustomInput:has(> textarea:focus) textarea {
        box-shadow: rgba(255 129 16/10) 0 0 0 1.5px inset;
        background-color: rgba(255 129 16/10%);
    }

        .CustomInput:has(> input:focus) input,
        .CustomInput:has(> textarea:focus) {
            font-weight: 700;
        }

    .CustomInput textarea {
        resize: vertical;
        width: 100%;
        padding-block: 1em;
        min-height: 20em;
        font-weight: 600;
    }

.g-recaptcha {
    transform: scale(0.77);
    -webkit-transform: scale(0.77);
    transform-origin: 0 0;
    -webkit-transform-origin: 0 0;
}
